org.hibernate.search.spi.impl

## Interface ExtendedSearchIntegratorWithShareableState

- All Superinterfaces:
    AutoCloseable, ExtendedSearchIntegrator, SearchFactoryState, SearchIntegrator
  All Known Implementing Classes:
    ImmutableSearchFactory, MutableSearchFactory

      public interface ExtendedSearchIntegratorWithShareableState
      extends ExtendedSearchIntegrator, SearchFactoryState

  Contract for `ExtendedSearchIntegrator` implementors exposing its shareable state. The state can then be extracted and used to mutate factories.
  Author:
    Emmanuel Bernard

- - ### Method Summary

    - ### Methods inherited from interface org.hibernate.search.engine.integration.impl.ExtendedSearchIntegrator

      `getAnalyzerReference, getConfigurationProperties, getConfiguredTypesPolymorphic, getDefaultDatabaseRetrievalMethod, getDefaultObjectLookupMethod, getDocumentBuilderContainedEntity, getFilterCacheBitResultsSize, getFilterCachingStrategy, getFilterDefinition, getIndexedTypesPolymorphic, getIndexManagerHolder, getInstanceInitializer, getIntegration, getIntegrations, getStatisticsImplementor, getTimingSource, isDirtyChecksEnabled, isIndexUninvertingAllowed, isJMXEnabled`

    - ### Methods inherited from interface org.hibernate.search.spi.SearchIntegrator

      `addClasses, buildQueryBuilder, close, createHSQuery, createHSQuery, createRemoteOperationDispatcher, getAnalyzer, getAnalyzer, getDefaultTimeoutExceptionFactory, getErrorHandler, getIndexBinding, getIndexBindings, getIndexedTypeDescriptor, getIndexedTypeIdentifiers, getIndexingMode, getIndexManager, getIndexReaderAccessor, getServiceManager, getStatistics, getWorker, getWorkSerializer, isStopped, makeBatchBackend, optimize, optimize, unwrap`

    - ### Methods inherited from interface org.hibernate.search.spi.impl.SearchFactoryState

      `enlistWorkerInTransaction, getAllIndexesManager, getCacheBitResultsSize, getConfigurationProperties, getConfiguredTypeHierarchy, getDefaultTimeoutExceptionFactory, getDocumentBuildersContainedEntities, getErrorHandler, getFilterCachingStrategy, getFilterDefinitions, getIndexBindings, getIndexedTypeHierarchy, getIndexingMode, getIndexManagerFactory, getInstanceInitializer, getIntegrations, getProgrammaticMapping, getServiceManager, getStatistics, getTimingSource, getWorker, getWorkSerializerState, isDeleteByTermEnforced, isIdProvidedImplicit, isIndexMetadataComplete, isMultitenancyEnabled, isTransactionManagerExpected`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved